pydo.security.get_secret()

Generated on 7 Jul 2026 from pydo version v0.39.0

Usage

client.security.get_secret(secret="my-database-password", region=None)
Returns JSONRaises HttpResponseError

Description

To retrieve a secret and its values, send a GET request to /v2/security/secrets/{secret}.

Parameters

secret string required

The name of the secret.

region string optional

The slug identifier for the region where the resource is available.

One of: ams1, ams2, ams3, blr1, fra1, lon1, nyc1, nyc2, nyc3, sfo1, sfo2, sfo3, sgp1, tor1, syd1

Response Example

Show Response Example
{
  "secret": "my-database-password",
  "region": "nyc3",
  "version": 1,
  "values": {
    "password": "s3cr3t"
  },
  "created_at": "2025-12-04T00:00:00Z",
  "updated_at": "2025-12-04T00:00:00Z",
  "delete_requested_at": "2025-12-04T00:00:00Z"
}

More Information

See /v2/security/secrets/{secret} in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.